org.springframework.messaging.simp.stomp

## Class StompReactorNettyCodec

- java.lang.Object
- - org.springframework.messaging.tcp.reactor.AbstractNioBufferReactorNettyCodec<byte[]>
  - - org.springframework.messaging.simp.stomp.StompReactorNettyCodec

- All Implemented Interfaces:
    ReactorNettyCodec<byte[]>

      public class StompReactorNettyCodec
      extends AbstractNioBufferReactorNettyCodec<byte[]>

  Simple delegation to StompDecoder and StompEncoder.
  Since:
    5.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StompReactorNettyCodec()`
    `StompReactorNettyCodec(StompDecoder decoder)`
    `StompReactorNettyCodec(StompDecoder decoder, StompEncoder encoder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Message<byte[]>>` | `decodeInternal(ByteBuffer nioBuffer)`
    `protected ByteBuffer` | `encodeInternal(Message<byte[]> message)`

    - ### Methods inherited from class org.springframework.messaging.tcp.reactor.AbstractNioBufferReactorNettyCodec

      `decode, encode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StompReactorNettyCodec

          public StompReactorNettyCodec()

    - #### StompReactorNettyCodec

          public StompReactorNettyCodec(StompDecoder decoder)

    - #### StompReactorNettyCodec

          public StompReactorNettyCodec(StompDecoder decoder,
                                        StompEncoder encoder)

  - ### Method Detail

    - #### decodeInternal

          protected List<Message<byte[]>> decodeInternal(ByteBuffer nioBuffer)

      Specified by:
        `decodeInternal` in class `AbstractNioBufferReactorNettyCodec<byte[]>`

    - #### encodeInternal

          protected ByteBuffer encodeInternal(Message<byte[]> message)

      Specified by:
        `encodeInternal` in class `AbstractNioBufferReactorNettyCodec<byte[]>`